"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = __importDefault(require("./typescript"));
const generate_docs_1 = __importDefault(require("./generate-docs"));
const options_1 = require("./options");
const { help, payloadPath, configPath, outputPath, generatorOptions } = (0, options_1.getOptions)();
if (help) {
    (0, options_1.showHelp)();
}
else {
    if (payloadPath) {
        process.chdir(payloadPath);
    }
    (0, typescript_1.default)();
    (0, generate_docs_1.default)(configPath, outputPath, generatorOptions).catch(error => {
        console.error(error);
        process.exit(1);
    });
}
